Endpoint Blob
Blob Object List
Questa documentazione fornisce una panoramica completa dell’endpoint GET /v1/objects della SquareCloud Blob API.
GET
/
v1
/
objects
Blob Object List
curl --request GET \
--url https://blob.squarecloud.app/v1/objects \
--header 'Authorization: <authorization>'import requests
url = "https://blob.squarecloud.app/v1/objects"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://blob.squarecloud.app/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"response": {
"objects": [
{
"id": "ID/name1_ltq7b2sw-de6241.jpeg",
"size": 78266,
"created_at": "2024-03-13T19:31:28.776Z"
},
{
"id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
"size": 90466,
"created_at": "2024-03-13T19:35:28.776Z",
"expires_at": "2024-03-14T19:35:28.776Z"
}
],
"continuationToken": null
}
}
La chiave API del tuo account. Puoi trovarla nelle impostazioni del tuo account.
Una stringa che rappresenta il prefisso del file.
Deve rispettare il pattern a to z, A to Z, 0 to 9, and _. (da 3 a 32 caratteri)
Deve rispettare il pattern a to z, A to Z, 0 to 9, and _. (da 3 a 32 caratteri)
Una stringa che rappresenta il token di continuazione per l’elenco dei file. (1000 oggetti per pagina)
Risposta
Indica se la chiamata ha avuto successo. “success” in caso di successo, “error” in caso contrario.
Mostra Mostra oggetto
Mostra Mostra oggetto
Token per recuperare la pagina successiva; passalo di nuovo come parametro di query
continuationToken. null o assente quando non ci sono più oggetti.{
"status": "success",
"response": {
"objects": [
{
"id": "ID/name1_ltq7b2sw-de6241.jpeg",
"size": 78266,
"created_at": "2024-03-13T19:31:28.776Z"
},
{
"id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
"size": 90466,
"created_at": "2024-03-13T19:35:28.776Z",
"expires_at": "2024-03-14T19:35:28.776Z"
}
],
"continuationToken": null
}
}
Risoluzione dei problemi
- Codice di stato 400
- Codice di stato 401
- Codice di stato 429
Relativi all’oggetto
// The provided object prefix is invalid.
// Must adhere to the a to z, A to Z, 0 to 9, and _ pattern.
{
"status": "error",
"code": "INVALID_OBJECT_PREFIX"
}
// The provided continuation token is invalid (must be a string up to 2048 characters).
{
"status": "error",
"code": "INVALID_CONTINUATION_TOKEN"
}
// The request to list the objects failed. Please try again.
{
"status": "error",
"code": "FAILED_LIST"
}
Non autorizzato
// The API key is missing or invalid. Set a valid key in the Authorization header.
{
"status": "error",
"code": "ACCESS_DENIED"
}
Limite di frequenza
// List rate limit reached (10 requests per 30s window).
{
"status": "error",
"code": "RATELIMIT"
}
Precedente
Object PostQuesta documentazione fornisce una panoramica completa dell'endpoint POST /v1/objects dell'API Blob di SquareCloud.
Successivo
⌘I
Blob Object List

